/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

#ifndef YY_IR3_YY_SRC_FREEDRENO_IR3_IR3_PARSER_H_INCLUDED
# define YY_IR3_YY_SRC_FREEDRENO_IR3_IR3_PARSER_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int ir3_yydebug;
#endif
/* "%code requires" blocks.  */
#line 24 "../mesa-24.0.7/src/freedreno/ir3/ir3_parser.y"

#include "ir3/ir3_assembler.h"
#include "ir3/ir3_shader.h"

struct ir3 * ir3_parse(struct ir3_shader_variant *v,
		struct ir3_kernel_info *k, FILE *f);

#line 57 "src/freedreno/ir3/ir3_parser.h"

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    T_INT = 258,                   /* T_INT  */
    T_HEX = 259,                   /* T_HEX  */
    T_FLOAT = 260,                 /* T_FLOAT  */
    T_IDENTIFIER = 261,            /* T_IDENTIFIER  */
    T_REGISTER = 262,              /* T_REGISTER  */
    T_CONSTANT = 263,              /* T_CONSTANT  */
    T_A_LOCALSIZE = 264,           /* T_A_LOCALSIZE  */
    T_A_CONST = 265,               /* T_A_CONST  */
    T_A_BUF = 266,                 /* T_A_BUF  */
    T_A_INVOCATIONID = 267,        /* T_A_INVOCATIONID  */
    T_A_WGID = 268,                /* T_A_WGID  */
    T_A_NUMWG = 269,               /* T_A_NUMWG  */
    T_A_BRANCHSTACK = 270,         /* T_A_BRANCHSTACK  */
    T_A_IN = 271,                  /* T_A_IN  */
    T_A_OUT = 272,                 /* T_A_OUT  */
    T_A_TEX = 273,                 /* T_A_TEX  */
    T_A_PVTMEM = 274,              /* T_A_PVTMEM  */
    T_A_EARLYPREAMBLE = 275,       /* T_A_EARLYPREAMBLE  */
    T_ABSNEG = 276,                /* T_ABSNEG  */
    T_NEG = 277,                   /* T_NEG  */
    T_ABS = 278,                   /* T_ABS  */
    T_R = 279,                     /* T_R  */
    T_LAST = 280,                  /* T_LAST  */
    T_HR = 281,                    /* T_HR  */
    T_HC = 282,                    /* T_HC  */
    T_EVEN = 283,                  /* T_EVEN  */
    T_POS_INFINITY = 284,          /* T_POS_INFINITY  */
    T_NEG_INFINITY = 285,          /* T_NEG_INFINITY  */
    T_EI = 286,                    /* T_EI  */
    T_WRMASK = 287,                /* T_WRMASK  */
    T_FLUT_0_0 = 288,              /* T_FLUT_0_0  */
    T_FLUT_0_5 = 289,              /* T_FLUT_0_5  */
    T_FLUT_1_0 = 290,              /* T_FLUT_1_0  */
    T_FLUT_2_0 = 291,              /* T_FLUT_2_0  */
    T_FLUT_E = 292,                /* T_FLUT_E  */
    T_FLUT_PI = 293,               /* T_FLUT_PI  */
    T_FLUT_INV_PI = 294,           /* T_FLUT_INV_PI  */
    T_FLUT_INV_LOG2_E = 295,       /* T_FLUT_INV_LOG2_E  */
    T_FLUT_LOG2_E = 296,           /* T_FLUT_LOG2_E  */
    T_FLUT_INV_LOG2_10 = 297,      /* T_FLUT_INV_LOG2_10  */
    T_FLUT_LOG2_10 = 298,          /* T_FLUT_LOG2_10  */
    T_FLUT_4_0 = 299,              /* T_FLUT_4_0  */
    T_SY = 300,                    /* T_SY  */
    T_SS = 301,                    /* T_SS  */
    T_JP = 302,                    /* T_JP  */
    T_EQ_FLAG = 303,               /* T_EQ_FLAG  */
    T_SAT = 304,                   /* T_SAT  */
    T_RPT = 305,                   /* T_RPT  */
    T_UL = 306,                    /* T_UL  */
    T_NOP = 307,                   /* T_NOP  */
    T_OP_NOP = 308,                /* T_OP_NOP  */
    T_OP_BR = 309,                 /* T_OP_BR  */
    T_OP_BRAO = 310,               /* T_OP_BRAO  */
    T_OP_BRAA = 311,               /* T_OP_BRAA  */
    T_OP_BRAC = 312,               /* T_OP_BRAC  */
    T_OP_BANY = 313,               /* T_OP_BANY  */
    T_OP_BALL = 314,               /* T_OP_BALL  */
    T_OP_BRAX = 315,               /* T_OP_BRAX  */
    T_OP_JUMP = 316,               /* T_OP_JUMP  */
    T_OP_CALL = 317,               /* T_OP_CALL  */
    T_OP_RET = 318,                /* T_OP_RET  */
    T_OP_KILL = 319,               /* T_OP_KILL  */
    T_OP_END = 320,                /* T_OP_END  */
    T_OP_EMIT = 321,               /* T_OP_EMIT  */
    T_OP_CUT = 322,                /* T_OP_CUT  */
    T_OP_CHMASK = 323,             /* T_OP_CHMASK  */
    T_OP_CHSH = 324,               /* T_OP_CHSH  */
    T_OP_FLOW_REV = 325,           /* T_OP_FLOW_REV  */
    T_OP_BKT = 326,                /* T_OP_BKT  */
    T_OP_STKS = 327,               /* T_OP_STKS  */
    T_OP_STKR = 328,               /* T_OP_STKR  */
    T_OP_XSET = 329,               /* T_OP_XSET  */
    T_OP_XCLR = 330,               /* T_OP_XCLR  */
    T_OP_GETLAST = 331,            /* T_OP_GETLAST  */
    T_OP_GETONE = 332,             /* T_OP_GETONE  */
    T_OP_DBG = 333,                /* T_OP_DBG  */
    T_OP_SHPS = 334,               /* T_OP_SHPS  */
    T_OP_SHPE = 335,               /* T_OP_SHPE  */
    T_OP_PREDT = 336,              /* T_OP_PREDT  */
    T_OP_PREDF = 337,              /* T_OP_PREDF  */
    T_OP_PREDE = 338,              /* T_OP_PREDE  */
    T_OP_MOVMSK = 339,             /* T_OP_MOVMSK  */
    T_OP_MOVA1 = 340,              /* T_OP_MOVA1  */
    T_OP_MOVA = 341,               /* T_OP_MOVA  */
    T_OP_MOV = 342,                /* T_OP_MOV  */
    T_OP_COV = 343,                /* T_OP_COV  */
    T_OP_SWZ = 344,                /* T_OP_SWZ  */
    T_OP_GAT = 345,                /* T_OP_GAT  */
    T_OP_SCT = 346,                /* T_OP_SCT  */
    T_OP_ADD_F = 347,              /* T_OP_ADD_F  */
    T_OP_MIN_F = 348,              /* T_OP_MIN_F  */
    T_OP_MAX_F = 349,              /* T_OP_MAX_F  */
    T_OP_MUL_F = 350,              /* T_OP_MUL_F  */
    T_OP_SIGN_F = 351,             /* T_OP_SIGN_F  */
    T_OP_CMPS_F = 352,             /* T_OP_CMPS_F  */
    T_OP_ABSNEG_F = 353,           /* T_OP_ABSNEG_F  */
    T_OP_CMPV_F = 354,             /* T_OP_CMPV_F  */
    T_OP_FLOOR_F = 355,            /* T_OP_FLOOR_F  */
    T_OP_CEIL_F = 356,             /* T_OP_CEIL_F  */
    T_OP_RNDNE_F = 357,            /* T_OP_RNDNE_F  */
    T_OP_RNDAZ_F = 358,            /* T_OP_RNDAZ_F  */
    T_OP_TRUNC_F = 359,            /* T_OP_TRUNC_F  */
    T_OP_ADD_U = 360,              /* T_OP_ADD_U  */
    T_OP_ADD_S = 361,              /* T_OP_ADD_S  */
    T_OP_SUB_U = 362,              /* T_OP_SUB_U  */
    T_OP_SUB_S = 363,              /* T_OP_SUB_S  */
    T_OP_CMPS_U = 364,             /* T_OP_CMPS_U  */
    T_OP_CMPS_S = 365,             /* T_OP_CMPS_S  */
    T_OP_MIN_U = 366,              /* T_OP_MIN_U  */
    T_OP_MIN_S = 367,              /* T_OP_MIN_S  */
    T_OP_MAX_U = 368,              /* T_OP_MAX_U  */
    T_OP_MAX_S = 369,              /* T_OP_MAX_S  */
    T_OP_ABSNEG_S = 370,           /* T_OP_ABSNEG_S  */
    T_OP_AND_B = 371,              /* T_OP_AND_B  */
    T_OP_OR_B = 372,               /* T_OP_OR_B  */
    T_OP_NOT_B = 373,              /* T_OP_NOT_B  */
    T_OP_XOR_B = 374,              /* T_OP_XOR_B  */
    T_OP_CMPV_U = 375,             /* T_OP_CMPV_U  */
    T_OP_CMPV_S = 376,             /* T_OP_CMPV_S  */
    T_OP_MUL_U24 = 377,            /* T_OP_MUL_U24  */
    T_OP_MUL_S24 = 378,            /* T_OP_MUL_S24  */
    T_OP_MULL_U = 379,             /* T_OP_MULL_U  */
    T_OP_BFREV_B = 380,            /* T_OP_BFREV_B  */
    T_OP_CLZ_S = 381,              /* T_OP_CLZ_S  */
    T_OP_CLZ_B = 382,              /* T_OP_CLZ_B  */
    T_OP_SHL_B = 383,              /* T_OP_SHL_B  */
    T_OP_SHR_B = 384,              /* T_OP_SHR_B  */
    T_OP_ASHR_B = 385,             /* T_OP_ASHR_B  */
    T_OP_BARY_F = 386,             /* T_OP_BARY_F  */
    T_OP_FLAT_B = 387,             /* T_OP_FLAT_B  */
    T_OP_MGEN_B = 388,             /* T_OP_MGEN_B  */
    T_OP_GETBIT_B = 389,           /* T_OP_GETBIT_B  */
    T_OP_SETRM = 390,              /* T_OP_SETRM  */
    T_OP_CBITS_B = 391,            /* T_OP_CBITS_B  */
    T_OP_SHB = 392,                /* T_OP_SHB  */
    T_OP_MSAD = 393,               /* T_OP_MSAD  */
    T_OP_MAD_U16 = 394,            /* T_OP_MAD_U16  */
    T_OP_MADSH_U16 = 395,          /* T_OP_MADSH_U16  */
    T_OP_MAD_S16 = 396,            /* T_OP_MAD_S16  */
    T_OP_MADSH_M16 = 397,          /* T_OP_MADSH_M16  */
    T_OP_MAD_U24 = 398,            /* T_OP_MAD_U24  */
    T_OP_MAD_S24 = 399,            /* T_OP_MAD_S24  */
    T_OP_MAD_F16 = 400,            /* T_OP_MAD_F16  */
    T_OP_MAD_F32 = 401,            /* T_OP_MAD_F32  */
    T_OP_SEL_B16 = 402,            /* T_OP_SEL_B16  */
    T_OP_SEL_B32 = 403,            /* T_OP_SEL_B32  */
    T_OP_SEL_S16 = 404,            /* T_OP_SEL_S16  */
    T_OP_SEL_S32 = 405,            /* T_OP_SEL_S32  */
    T_OP_SEL_F16 = 406,            /* T_OP_SEL_F16  */
    T_OP_SEL_F32 = 407,            /* T_OP_SEL_F32  */
    T_OP_SAD_S16 = 408,            /* T_OP_SAD_S16  */
    T_OP_SAD_S32 = 409,            /* T_OP_SAD_S32  */
    T_OP_SHRM = 410,               /* T_OP_SHRM  */
    T_OP_SHLM = 411,               /* T_OP_SHLM  */
    T_OP_SHRG = 412,               /* T_OP_SHRG  */
    T_OP_SHLG = 413,               /* T_OP_SHLG  */
    T_OP_ANDG = 414,               /* T_OP_ANDG  */
    T_OP_DP2ACC = 415,             /* T_OP_DP2ACC  */
    T_OP_DP4ACC = 416,             /* T_OP_DP4ACC  */
    T_OP_WMM = 417,                /* T_OP_WMM  */
    T_OP_WMM_ACCU = 418,           /* T_OP_WMM_ACCU  */
    T_OP_RCP = 419,                /* T_OP_RCP  */
    T_OP_RSQ = 420,                /* T_OP_RSQ  */
    T_OP_LOG2 = 421,               /* T_OP_LOG2  */
    T_OP_EXP2 = 422,               /* T_OP_EXP2  */
    T_OP_SIN = 423,                /* T_OP_SIN  */
    T_OP_COS = 424,                /* T_OP_COS  */
    T_OP_SQRT = 425,               /* T_OP_SQRT  */
    T_OP_HRSQ = 426,               /* T_OP_HRSQ  */
    T_OP_HLOG2 = 427,              /* T_OP_HLOG2  */
    T_OP_HEXP2 = 428,              /* T_OP_HEXP2  */
    T_OP_ISAM = 429,               /* T_OP_ISAM  */
    T_OP_ISAML = 430,              /* T_OP_ISAML  */
    T_OP_ISAMM = 431,              /* T_OP_ISAMM  */
    T_OP_SAM = 432,                /* T_OP_SAM  */
    T_OP_SAMB = 433,               /* T_OP_SAMB  */
    T_OP_SAML = 434,               /* T_OP_SAML  */
    T_OP_SAMGQ = 435,              /* T_OP_SAMGQ  */
    T_OP_GETLOD = 436,             /* T_OP_GETLOD  */
    T_OP_CONV = 437,               /* T_OP_CONV  */
    T_OP_CONVM = 438,              /* T_OP_CONVM  */
    T_OP_GETSIZE = 439,            /* T_OP_GETSIZE  */
    T_OP_GETBUF = 440,             /* T_OP_GETBUF  */
    T_OP_GETPOS = 441,             /* T_OP_GETPOS  */
    T_OP_GETINFO = 442,            /* T_OP_GETINFO  */
    T_OP_DSX = 443,                /* T_OP_DSX  */
    T_OP_DSY = 444,                /* T_OP_DSY  */
    T_OP_GATHER4R = 445,           /* T_OP_GATHER4R  */
    T_OP_GATHER4G = 446,           /* T_OP_GATHER4G  */
    T_OP_GATHER4B = 447,           /* T_OP_GATHER4B  */
    T_OP_GATHER4A = 448,           /* T_OP_GATHER4A  */
    T_OP_SAMGP0 = 449,             /* T_OP_SAMGP0  */
    T_OP_SAMGP1 = 450,             /* T_OP_SAMGP1  */
    T_OP_SAMGP2 = 451,             /* T_OP_SAMGP2  */
    T_OP_SAMGP3 = 452,             /* T_OP_SAMGP3  */
    T_OP_DSXPP_1 = 453,            /* T_OP_DSXPP_1  */
    T_OP_DSYPP_1 = 454,            /* T_OP_DSYPP_1  */
    T_OP_RGETPOS = 455,            /* T_OP_RGETPOS  */
    T_OP_RGETINFO = 456,           /* T_OP_RGETINFO  */
    T_OP_BRCST_A = 457,            /* T_OP_BRCST_A  */
    T_OP_QSHUFFLE_BRCST = 458,     /* T_OP_QSHUFFLE_BRCST  */
    T_OP_QSHUFFLE_H = 459,         /* T_OP_QSHUFFLE_H  */
    T_OP_QSHUFFLE_V = 460,         /* T_OP_QSHUFFLE_V  */
    T_OP_QSHUFFLE_DIAG = 461,      /* T_OP_QSHUFFLE_DIAG  */
    T_OP_TCINV = 462,              /* T_OP_TCINV  */
    T_OP_LDG = 463,                /* T_OP_LDG  */
    T_OP_LDG_A = 464,              /* T_OP_LDG_A  */
    T_OP_LDL = 465,                /* T_OP_LDL  */
    T_OP_LDP = 466,                /* T_OP_LDP  */
    T_OP_STG = 467,                /* T_OP_STG  */
    T_OP_STG_A = 468,              /* T_OP_STG_A  */
    T_OP_STL = 469,                /* T_OP_STL  */
    T_OP_STP = 470,                /* T_OP_STP  */
    T_OP_LDIB = 471,               /* T_OP_LDIB  */
    T_OP_G2L = 472,                /* T_OP_G2L  */
    T_OP_L2G = 473,                /* T_OP_L2G  */
    T_OP_PREFETCH = 474,           /* T_OP_PREFETCH  */
    T_OP_LDLW = 475,               /* T_OP_LDLW  */
    T_OP_STLW = 476,               /* T_OP_STLW  */
    T_OP_RESFMT = 477,             /* T_OP_RESFMT  */
    T_OP_RESINFO = 478,            /* T_OP_RESINFO  */
    T_OP_ATOMIC_ADD = 479,         /* T_OP_ATOMIC_ADD  */
    T_OP_ATOMIC_SUB = 480,         /* T_OP_ATOMIC_SUB  */
    T_OP_ATOMIC_XCHG = 481,        /* T_OP_ATOMIC_XCHG  */
    T_OP_ATOMIC_INC = 482,         /* T_OP_ATOMIC_INC  */
    T_OP_ATOMIC_DEC = 483,         /* T_OP_ATOMIC_DEC  */
    T_OP_ATOMIC_CMPXCHG = 484,     /* T_OP_ATOMIC_CMPXCHG  */
    T_OP_ATOMIC_MIN = 485,         /* T_OP_ATOMIC_MIN  */
    T_OP_ATOMIC_MAX = 486,         /* T_OP_ATOMIC_MAX  */
    T_OP_ATOMIC_AND = 487,         /* T_OP_ATOMIC_AND  */
    T_OP_ATOMIC_OR = 488,          /* T_OP_ATOMIC_OR  */
    T_OP_ATOMIC_XOR = 489,         /* T_OP_ATOMIC_XOR  */
    T_OP_RESINFO_B = 490,          /* T_OP_RESINFO_B  */
    T_OP_LDIB_B = 491,             /* T_OP_LDIB_B  */
    T_OP_STIB_B = 492,             /* T_OP_STIB_B  */
    T_OP_ATOMIC_B_ADD = 493,       /* T_OP_ATOMIC_B_ADD  */
    T_OP_ATOMIC_B_SUB = 494,       /* T_OP_ATOMIC_B_SUB  */
    T_OP_ATOMIC_B_XCHG = 495,      /* T_OP_ATOMIC_B_XCHG  */
    T_OP_ATOMIC_B_INC = 496,       /* T_OP_ATOMIC_B_INC  */
    T_OP_ATOMIC_B_DEC = 497,       /* T_OP_ATOMIC_B_DEC  */
    T_OP_ATOMIC_B_CMPXCHG = 498,   /* T_OP_ATOMIC_B_CMPXCHG  */
    T_OP_ATOMIC_B_MIN = 499,       /* T_OP_ATOMIC_B_MIN  */
    T_OP_ATOMIC_B_MAX = 500,       /* T_OP_ATOMIC_B_MAX  */
    T_OP_ATOMIC_B_AND = 501,       /* T_OP_ATOMIC_B_AND  */
    T_OP_ATOMIC_B_OR = 502,        /* T_OP_ATOMIC_B_OR  */
    T_OP_ATOMIC_B_XOR = 503,       /* T_OP_ATOMIC_B_XOR  */
    T_OP_ATOMIC_S_ADD = 504,       /* T_OP_ATOMIC_S_ADD  */
    T_OP_ATOMIC_S_SUB = 505,       /* T_OP_ATOMIC_S_SUB  */
    T_OP_ATOMIC_S_XCHG = 506,      /* T_OP_ATOMIC_S_XCHG  */
    T_OP_ATOMIC_S_INC = 507,       /* T_OP_ATOMIC_S_INC  */
    T_OP_ATOMIC_S_DEC = 508,       /* T_OP_ATOMIC_S_DEC  */
    T_OP_ATOMIC_S_CMPXCHG = 509,   /* T_OP_ATOMIC_S_CMPXCHG  */
    T_OP_ATOMIC_S_MIN = 510,       /* T_OP_ATOMIC_S_MIN  */
    T_OP_ATOMIC_S_MAX = 511,       /* T_OP_ATOMIC_S_MAX  */
    T_OP_ATOMIC_S_AND = 512,       /* T_OP_ATOMIC_S_AND  */
    T_OP_ATOMIC_S_OR = 513,        /* T_OP_ATOMIC_S_OR  */
    T_OP_ATOMIC_S_XOR = 514,       /* T_OP_ATOMIC_S_XOR  */
    T_OP_ATOMIC_G_ADD = 515,       /* T_OP_ATOMIC_G_ADD  */
    T_OP_ATOMIC_G_SUB = 516,       /* T_OP_ATOMIC_G_SUB  */
    T_OP_ATOMIC_G_XCHG = 517,      /* T_OP_ATOMIC_G_XCHG  */
    T_OP_ATOMIC_G_INC = 518,       /* T_OP_ATOMIC_G_INC  */
    T_OP_ATOMIC_G_DEC = 519,       /* T_OP_ATOMIC_G_DEC  */
    T_OP_ATOMIC_G_CMPXCHG = 520,   /* T_OP_ATOMIC_G_CMPXCHG  */
    T_OP_ATOMIC_G_MIN = 521,       /* T_OP_ATOMIC_G_MIN  */
    T_OP_ATOMIC_G_MAX = 522,       /* T_OP_ATOMIC_G_MAX  */
    T_OP_ATOMIC_G_AND = 523,       /* T_OP_ATOMIC_G_AND  */
    T_OP_ATOMIC_G_OR = 524,        /* T_OP_ATOMIC_G_OR  */
    T_OP_ATOMIC_G_XOR = 525,       /* T_OP_ATOMIC_G_XOR  */
    T_OP_LDGB = 526,               /* T_OP_LDGB  */
    T_OP_STGB = 527,               /* T_OP_STGB  */
    T_OP_STIB = 528,               /* T_OP_STIB  */
    T_OP_LDC = 529,                /* T_OP_LDC  */
    T_OP_LDLV = 530,               /* T_OP_LDLV  */
    T_OP_GETSPID = 531,            /* T_OP_GETSPID  */
    T_OP_GETWID = 532,             /* T_OP_GETWID  */
    T_OP_GETFIBERID = 533,         /* T_OP_GETFIBERID  */
    T_OP_STC = 534,                /* T_OP_STC  */
    T_OP_STSC = 535,               /* T_OP_STSC  */
    T_OP_BAR = 536,                /* T_OP_BAR  */
    T_OP_FENCE = 537,              /* T_OP_FENCE  */
    T_OP_SLEEP = 538,              /* T_OP_SLEEP  */
    T_OP_ICINV = 539,              /* T_OP_ICINV  */
    T_OP_DCCLN = 540,              /* T_OP_DCCLN  */
    T_OP_DCINV = 541,              /* T_OP_DCINV  */
    T_OP_DCFLU = 542,              /* T_OP_DCFLU  */
    T_OP_CCINV = 543,              /* T_OP_CCINV  */
    T_OP_LOCK = 544,               /* T_OP_LOCK  */
    T_OP_UNLOCK = 545,             /* T_OP_UNLOCK  */
    T_OP_ALIAS = 546,              /* T_OP_ALIAS  */
    T_RAW = 547,                   /* T_RAW  */
    T_OP_PRINT = 548,              /* T_OP_PRINT  */
    T_TYPE_F16 = 549,              /* T_TYPE_F16  */
    T_TYPE_F32 = 550,              /* T_TYPE_F32  */
    T_TYPE_U16 = 551,              /* T_TYPE_U16  */
    T_TYPE_U32 = 552,              /* T_TYPE_U32  */
    T_TYPE_S16 = 553,              /* T_TYPE_S16  */
    T_TYPE_S32 = 554,              /* T_TYPE_S32  */
    T_TYPE_U8 = 555,               /* T_TYPE_U8  */
    T_TYPE_S8 = 556,               /* T_TYPE_S8  */
    T_UNTYPED = 557,               /* T_UNTYPED  */
    T_TYPED = 558,                 /* T_TYPED  */
    T_MIXED = 559,                 /* T_MIXED  */
    T_UNSIGNED = 560,              /* T_UNSIGNED  */
    T_LOW = 561,                   /* T_LOW  */
    T_HIGH = 562,                  /* T_HIGH  */
    T_1D = 563,                    /* T_1D  */
    T_2D = 564,                    /* T_2D  */
    T_3D = 565,                    /* T_3D  */
    T_4D = 566,                    /* T_4D  */
    T_LT = 567,                    /* T_LT  */
    T_LE = 568,                    /* T_LE  */
    T_GT = 569,                    /* T_GT  */
    T_GE = 570,                    /* T_GE  */
    T_EQ = 571,                    /* T_EQ  */
    T_NE = 572,                    /* T_NE  */
    T_S2EN = 573,                  /* T_S2EN  */
    T_SAMP = 574,                  /* T_SAMP  */
    T_TEX = 575,                   /* T_TEX  */
    T_BASE = 576,                  /* T_BASE  */
    T_OFFSET = 577,                /* T_OFFSET  */
    T_UNIFORM = 578,               /* T_UNIFORM  */
    T_NONUNIFORM = 579,            /* T_NONUNIFORM  */
    T_IMM = 580,                   /* T_IMM  */
    T_NAN = 581,                   /* T_NAN  */
    T_INF = 582,                   /* T_INF  */
    T_A0 = 583,                    /* T_A0  */
    T_A1 = 584,                    /* T_A1  */
    T_P0 = 585,                    /* T_P0  */
    T_W = 586,                     /* T_W  */
    T_CAT1_TYPE_TYPE = 587,        /* T_CAT1_TYPE_TYPE  */
    T_INSTR_TYPE = 588,            /* T_INSTR_TYPE  */
    T_MOD_TEX = 589,               /* T_MOD_TEX  */
    T_MOD_MEM = 590,               /* T_MOD_MEM  */
    T_MOD_RT = 591                 /* T_MOD_RT  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 293 "../mesa-24.0.7/src/freedreno/ir3/ir3_parser.y"

	int tok;
	int num;
	uint32_t unum;
	uint64_t u64;
	double flt;
	const char *str;
	struct ir3_register *reg;
	struct {
		int start;
		int num;
	} range;
	type_t type;

#line 425 "src/freedreno/ir3/ir3_parser.h"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE ir3_yylval;


int ir3_yyparse (void);


#endif /* !YY_IR3_YY_SRC_FREEDRENO_IR3_IR3_PARSER_H_INCLUDED  */
